export declare const components: {
    button: {
        transaction: {
            container: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
                border: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disabel: string;
                };
            };
            icon: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disabel: string;
                };
            };
        };
        sm: {
            generic: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                textLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                borderRadius: string;
            };
            icon: {
                size: string;
            };
            ghost: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                textLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                borderRadius: string;
            };
        };
        md: {
            generic: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                borderRadius: string;
                textLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            icon: {
                size: string;
            };
            ghost: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                textLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                borderRadius: string;
            };
        };
        lg: {
            generic: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                borderRadius: string;
                textLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
            };
            icon: {
                size: string;
            };
            ghost: {
                paddingHorizontal: string;
                paddingVertical: string;
                gap: string;
                textLabel: {
                    fontFamily: string;
                    fontWeight: string;
                    lineHeight: string;
                    fontSize: string;
                    letterSpacing: string;
                    paragraphSpacing: string;
                    textDecoration: string;
                    textCase: string;
                };
                borderRadius: string;
            };
        };
        brand: {
            container: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
                border: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disabel: string;
                };
            };
            icon: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disabel: string;
                };
            };
        };
        alternative: {
            container: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
                border: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disabel: string;
                };
            };
            icon: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disabel: string;
                };
            };
        };
        outline: {
            container: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
                border: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disabel: string;
                };
            };
            icon: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disabel: string;
                };
            };
        };
        ghost: {
            container: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
                border: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disabel: string;
                };
            };
            icon: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disabel: string;
                };
            };
        };
    };
    input: {
        icon: {
            size: string;
        };
        paddingHorizontal: string;
        paddingVertical: string;
        gap: string;
        contentGap: string;
        requiredGap: string;
        borderRadius: string;
        fieldLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        required: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        inputPlaceholder: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        error: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        grey: {
            container: {
                color: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
                border: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    fieldLabel: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    inputPlaceholder: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    required: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    errorMessage: {
                        error: string;
                        errorFilled: string;
                    };
                };
            };
            icon: {
                color: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
            };
        };
        border: {
            container: {
                color: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
                border: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    fieldLabel: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    inputPlaceholder: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    required: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    errorMessage: {
                        error: string;
                        errorFilled: string;
                    };
                };
            };
            icon: {
                color: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
            };
        };
    };
    dropdown: {
        icon: {
            size: string;
        };
        paddingHorizontal: string;
        paddingVertical: string;
        gap: string;
        contentGap: string;
        requiredGap: string;
        grey: {
            container: {
                color: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
                border: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    fieldLabel: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    inputPlaceholder: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    required: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    errorMessage: {
                        error: string;
                        errorFilled: string;
                    };
                };
            };
            icon: {
                color: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
            };
        };
        border: {
            container: {
                color: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
                border: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    fieldLabel: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    inputPlaceholder: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    required: {
                        default: string;
                        filled: string;
                        focus: string;
                        error: string;
                        errorFilled: string;
                        disable: string;
                    };
                    errorMessage: {
                        error: string;
                        errorFilled: string;
                    };
                };
            };
            icon: {
                color: {
                    default: string;
                    filled: string;
                    focus: string;
                    error: string;
                    errorFilled: string;
                    disable: string;
                };
            };
        };
        borderRadius: string;
        fieldLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        error: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        inputPlaceholder: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        required: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
    };
    select: {
        paddingHorizontal: string;
        paddingVertical: string;
        container: {
            color: {
                default: string;
                hover: string;
                active: string;
                header: string;
                disable: string;
            };
        };
        text: {
            color: {
                default: string;
                hover: string;
                active: string;
                header: string;
                disable: string;
            };
        };
        gap: string;
        borderRadius: string;
        fieldLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
    };
    radioButton: {
        gap: string;
        circle: {
            color: {
                default: string;
                hover: string;
                selected: string;
                focus: string;
                error: string;
                disableSelected: string;
                disable: string;
            };
        };
        innerCircle: {
            color: {
                default: string;
                hover: string;
                selected: string;
                focus: string;
                error: string;
                disableSelected: string;
                disable: string;
            };
        };
        focus: {
            color: {
                default: string;
                hover: string;
                selected: string;
                focus: string;
                error: string;
                selectedDisable: string;
                disable: string;
            };
        };
        text: {
            color: {
                textLabel: {
                    default: string;
                    hover: string;
                    selected: string;
                    focus: string;
                    error: string;
                    disableSelected: string;
                    disable: string;
                };
                errorLabel: {
                    default: string;
                    hover: string;
                    selected: string;
                    focus: string;
                    error: string;
                    disableSelected: string;
                    disable: string;
                };
            };
        };
        fieldLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        errorLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
    };
    checkbox: {
        gap: string;
        square: {
            color: {
                default: string;
                hover: string;
                selected: string;
                hoverSelected: string;
                focus: string;
                error: string;
                disableSelected: string;
                disable: string;
            };
        };
        innerSquare: {
            color: {
                default: string;
                hover: string;
                selected: string;
                hoverSelected: string;
                focus: string;
                error: string;
                disableSelected: string;
                disable: string;
            };
        };
        focus: {
            color: {
                default: string;
                hover: string;
                selected: string;
                hoverSelected: string;
                focus: string;
                error: string;
                selectedDisable: string;
                disable: string;
            };
        };
        checkmark: {
            color: {
                default: string;
                hover: string;
                selected: string;
                hoverSelected: string;
                focus: string;
                error: string;
                selectedDisable: string;
                disable: string;
            };
        };
        text: {
            color: {
                textLabel: {
                    default: string;
                    hover: string;
                    selected: string;
                    hoverSelected: string;
                    focus: string;
                    error: string;
                    disableSelected: string;
                    disable: string;
                };
                errorLabel: {
                    default: string;
                    hover: string;
                    selected: string;
                    hoverSelected: string;
                    focus: string;
                    error: string;
                    disableSelected: string;
                    disable: string;
                };
            };
        };
        fieldLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        errorLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
    };
    segmentControl: {
        paddingHorizontal: string;
        paddingVertical: string;
        gap: string;
        container: {
            color: {
                default: string;
                pressed: string;
            };
        };
        text: {
            color: {
                default: string;
                pressed: string;
            };
        };
        border: {
            color: {
                default: string;
                pressed: string;
            };
        };
        fieldLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
    };
    tabs: {
        basic: {
            paddingHorizontal: string;
            paddingVertical: string;
            gap: string;
            container: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    default: string;
                    active: string;
                    hover: string;
                    disable: string;
                };
            };
            border: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
            };
            borderRadius: string;
            fieldLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            outsideBorder: {
                color: {
                    generic: string;
                };
            };
        };
        card: {
            paddingHorizontal: string;
            paddingVertical: string;
            gap: string;
            container: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
            };
            text: {
                color: {
                    default: string;
                    active: string;
                    hover: string;
                    disable: string;
                };
            };
            border: {
                color: {
                    default: string;
                    hover: string;
                    active: string;
                    disable: string;
                };
            };
            borderRadius: string;
            fieldLabel: {
                fontFamily: string;
                fontWeight: string;
                lineHeight: string;
                fontSize: string;
                letterSpacing: string;
                paragraphSpacing: string;
                textDecoration: string;
                textCase: string;
            };
            outsideBorder: {
                color: {
                    generic: string;
                };
            };
        };
    };
    accordion: {
        icon: {
            size: string;
            color: {
                default: string;
                hover: string;
                disable: string;
            };
        };
        header: {
            paddingHorizontal: string;
            paddingVertical: string;
            gap: string;
            color: {
                default: string;
                hover: string;
                disable: string;
            };
        };
        content: {
            paddingHorizontal: string;
            paddingVertical: string;
            gap: string;
            color: {
                default: string;
                hover: string;
            };
        };
        text: {
            color: {
                title: {
                    default: string;
                    hover: string;
                    disable: string;
                };
                content: {
                    default: string;
                    hover: string;
                };
            };
        };
        border: {
            color: {
                default: string;
                hover: string;
                disable: string;
            };
        };
        headerLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
        contentLabel: {
            fontFamily: string;
            fontWeight: string;
            lineHeight: string;
            fontSize: string;
            letterSpacing: string;
            paragraphSpacing: string;
            textDecoration: string;
            textCase: string;
        };
    };
    accordions: {
        borderRadius: string;
    };
};
